### Method

# Gtk Widgetget_size

#### Declaration [src]

    int
    gtk_widget_get_size (
      GtkWidget* widget,
      GtkOrientation orientation
    )

#### Description [src]

Returns the content width or height of the widget.

Which dimension is returned depends on `orientation`.

This is equivalent to calling `gtk_widget_get_width()` for `GTK_ORIENTATION_HORIZONTAL` or `gtk_widget_get_height()` for `GTK_ORIENTATION_VERTICAL`, but can be used when writing orientation-independent code, such as when implementing `GtkOrientable` widgets.

To learn more about widget sizes, see the coordinate system overview.

#### Parameters

`orientation`

  Type: `GtkOrientation`

  The orientation to query.

#### Return value

Type: `int`

The size of `widget` in `orientation`.